Questions tagged [software-installation]

The tag has no usage guidance.

Filter by
Sorted by
Tagged with
2 votes
1 answer
41 views

arm64 installation of AMRFinderPlus

I was trying to install NCBI AMRFinderPLUS on my Nvidia Jetson using standard Bioconda based installtion. However, all the time it is giving error that the package is not available and I thought I am ...
prekij's user avatar
  • 33
1 vote
0 answers
42 views

What versions of pip and python are appropriate for nsdpy?

I am currently trying to download all the requirements to make a COInr database, following this workflow; https://mkcoinr.readthedocs.io/en/latest/content/overview.html. It requires a couple different ...
user avatar
1 vote
1 answer
203 views

ProteinPromt installation

i dont know how to build/pull this container (https://codebase.helmholtz.cloud/proteinprompt/ProteinPrompt) can you advice me how to install it? EDIT: My soft - Ubuntu 20.04 lts Thanks to @M__ I ...
MTG's user avatar
  • 147
5 votes
2 answers
459 views

Error installing VEP on mac

I have tried multiple different ways to get Ensemble's Variant Effect Predictor (VEP) to properly install on my mac, but I keep getting same error. ...
Andrew's user avatar
  • 51
1 vote
3 answers
216 views

How do I install shapeit4 on Ubuntu/Mint?

I'm having trouble install shapeit4 4.2.2 on my new Mint 21 installation (Ubuntu 22.04 LTS). According to the official docs, the requirements are: HTSlib: A great C library for reading/writing high-...
CoderGuy123's user avatar
2 votes
1 answer
503 views

Struggling to install scvi-tools on Mac M1

I was wondering if somebody here has experience with installing scvi-tools on a Mac with M1 chip. I tried the following command: ...
siddhartha das's user avatar
2 votes
0 answers
29 views

Building database for MetaCache takes extremely long

A question to those who have experience with MetaCache (metagenomic tool): I have tried to build the MetaCache taxonomy from refseq (only bacteria), as described in the EXAMPLES here. However, the ...
Roger V.'s user avatar
  • 381
2 votes
1 answer
46 views

the following errors are found during the installation of an open source software, UNCeqR on z shell

I am trying to do somatic mutation detection via the open source software, UNCeqR I got following error was detected on mac z shell during installation. ...
user1604850's user avatar
1 vote
0 answers
8 views

Issue with iCTNet2 installation

Has anyone encountered this same installation issue of iCTNet2? I encountered this issue for installation of iCTNet2 via Cytoscape App Manager and similarly via installation from website download/...
rob's user avatar
  • 11
0 votes
0 answers
48 views

install a CRAN package that imports a CRAN package that imports a Bioconductor package

I have a CRAN package say myPack, that imports two CRAN packages, say cranA and cranB. These ...
Stefka Asenova's user avatar
2 votes
0 answers
149 views

Finding bioperl on cpanmetadb failed

I failed to install bioperl on debian in the following way: ...
user977828's user avatar
1 vote
0 answers
399 views

tmhmm installation and running

I am trying to predict transmembrane protein using tmhmm-2.0c. According to Package instruction, I have changed the path of perl inside the program like as ...
Kishor Kumar Sarker's user avatar
2 votes
2 answers
104 views

How do I install hammock?

I'm working with phage peptides libraries. Currently I'm analysing a massive data set from phage selection, NGS readout, preprocessed already (fasta file). I want to analyse the sequences to cluster ...
icrf's user avatar
  • 21
2 votes
1 answer
438 views

`TxDb.Hsapiens.UCSC.hg19.knownGene` and `EnsDb.Hsapiens.v75` can't be installed

I think there is a problem with TxDb.Hsapiens.UCSC.hg19.knownGene and EnsDb.Hsapiens.v75. I'm struggling to install all of ...
Sam's user avatar
  • 175
0 votes
1 answer
273 views

install bowtie2 from sources cannot find -ltbb

I am trying to install bowtie2 aligner from sources without the root access. Bowtie2 needs tbb package to be installed and it is recommended to install oneTBB. ...
Suvar's user avatar
  • 203
2 votes
2 answers
75 views

How can I run the fdnadist command from the EMBOSS package?

My operating system is Mac OS X. I would like to compute DNA distances between different sequences. For this, the dnadist package from the Phylip software would be good but hard to automate. EMBOSS ...
Biomagician's user avatar
  • 2,459
0 votes
2 answers
741 views

Installing HiC-Pro issues

I am setting up a HiChIPseq pipeline, but installing software necessary for the HiC side of things has been unbecoming. Both my PI and I have tried to install Hi-C Pro onto our Mac Pro that we use as ...
Jeff's user avatar
  • 177
1 vote
1 answer
109 views

Master of Pores Installation Mac OS Mojave 10.14

I'm bit of a newbie with ONT analyses and am having some trouble with the Master Of Pores installation instructions (https://biocorecrg.github.io/master_of_pores/install.html). I've managed to install ...
guray00's user avatar
  • 11
1 vote
1 answer
2k views

How to install/import Biopython into Python 3.8/ PyCharm IDE

I'm new to Python/Biopython programming. I'd like to install Biopython into my PyCharm IDE but I've tried all instructions on this, but it's not confirming it. I have the available biopython file ...
BioIsaac's user avatar
0 votes
2 answers
638 views

Permanent error in installing R package

I want to install NNLM ...
Zizogolu's user avatar
  • 2,148
0 votes
1 answer
3k views

Cell Ranger) Error during performing a test run

I am interested in the analysis of single-cell RNA-sequencing data. I installed Cell Ranger according to the instruction (https://support.10xgenomics.com/single-cell-gene-expression/software/pipelines/...
raiora's user avatar
  • 77
1 vote
2 answers
3k views

bcl2fastq2 v2.20.0 converstion software on Ubuntu 18.04

bcl2fastq is a program that converts Illumina run output from .bcl to fastq. I'm having difficulties installing the software I downloaded from Illumina on my Ubuntu 18.04. I've followed their ...
Lou_A's user avatar
  • 361
0 votes
1 answer
91 views

Repeatscout installation problem

I've installed Repeatscout from https://bix.ucsd.edu/repeatscout/. I've also installed TRF and nseg required by the program. I followed the steps: ...
jonny's user avatar
  • 171
0 votes
1 answer
213 views

UCSC packages/tools ucsc-netchainsubset and ucsc-fatotwobit not working on GNU/Linux

I have installed some ucsc tools on my Mac computer and it worked fine: Installation ...
Biomagician's user avatar
  • 2,459
3 votes
2 answers
2k views

How to use busco installed through conda?

I have installed busco on my Mac computer using conda install --channel bioconda busco=3.0.2 into an environment called ...
Biomagician's user avatar
  • 2,459
3 votes
2 answers
1k views

Unable to install bedtools on windows 10 ubuntu

I am trying to install bedtools on windows 10, but I get an error I don't understand. How can I fix it? ...
DangIt's user avatar
  • 41
3 votes
1 answer
151 views

Why can I not install snakemake on my SLURM computer even though I can find it in the bioconda channel?

I searched for the package 'snakemake' on my SLURM cluster using: conda search --channel bioconda snakemake and I get many versions, up to 5.4.2. I then try to ...
Biomagician's user avatar
  • 2,459
1 vote
0 answers
57 views

failed to install hdf5r [duplicate]

I failed to install hdf5r using this command provided by https://satijalab.org/seurat/mca_loom.html: devtools::install_github(repo = 'hhoeflin/hdf5r'),below is the code,can you help me ?
sophia's user avatar
  • 39
0 votes
1 answer
2k views

R studio failed to install the latest development version of hdf5r from Github (win10)

I install hdf5r following https://github.com/hhoeflin/hdf5r, it shows two methods: When I use the second method to install from github,it showed many errors: ...
sophia's user avatar
  • 39
2 votes
1 answer
489 views

Error in PSI-BLAST when running psipred locally

I am very new to bioinformatics and Linux and am trying to run psipred locally on Ubuntu 18.04 but cannot get PSI-BLAST to work. I have downloaded BLAST legacy version 2.2.26 and unpacked it, uniref90 ...
Hilda's user avatar
  • 21
4 votes
2 answers
3k views

Installing DESeq2 in Ubuntu

I am trying to install DESeq2 in my Ubuntu with R version 3.5.1. According to the package repository in Bioconductor the version should be 3.5. ...
aerijman's user avatar
  • 645
1 vote
1 answer
222 views

Error compiling HMMER v3.2.1

I tried to compile HMMER v3.2.1 in Cygwin using ./configure followed by make or ...
JernejT's user avatar
  • 11
2 votes
1 answer
149 views

hgsql not found when running a script despite being accessible on command-line

I am working on macOS. I am following the steps described here to lift over an annotation from the reference genome of C. elegans to another assembly of C. elegans. I have run this code: ...
Biomagician's user avatar
  • 2,459
1 vote
1 answer
1k views

How to uninstall hmmpress from my conda environment?

I have installed hmmpress on my Mac OS X. It is here: which hmmpress /Users/user/anaconda/bin/hmmpress It is available in my ...
Biomagician's user avatar
  • 2,459
4 votes
1 answer
659 views

Psipred installation

I am trying to install psipred in a unix server. Psipred is installed, but fails because it can not find the correct database files. I have downloaded uniprod90.fasta. Psipred also loads the old ...
aerijman's user avatar
  • 645
0 votes
1 answer
293 views

GMAJ error: Exception in thread "main" java.lang.ClassCastException: java.lang.StringBuffer cannot be cast to java.lang.String

I have installed GMAJ using: ...
Biomagician's user avatar
  • 2,459
3 votes
1 answer
74 views

TRAL does not find "Phobos result file"

I want to use TRAL to annotate tandem repeats in the reference genome of Caenorhabditis elegans. For this, I need to install some external software, such as Phobos. I've downloaded Phobos and I am ...
Biomagician's user avatar
  • 2,459
5 votes
4 answers
2k views

tRNAscan-SE error: FATAL: Unable to find /usr/local/bin/cmsearch executable

I have downloaded tRNAscan-SE from here. After decompressing and untaring the file, I installed it using: ./configure make make install When I type ...
Biomagician's user avatar
  • 2,459
4 votes
1 answer
176 views

Problem installing last build of Sniffles

I have followed the steps described here to install Sniffles on my Mac Book Pro running macOS High Sierra. However, I am struggling with this step: ...
Biomagician's user avatar
  • 2,459
1 vote
1 answer
48 views

Installing Rostlab's PredictProtein

I am trying to install Rostlab's PredictProtein in a Virtual Machine as detailed here https://rostlab.org/owiki/index.php/How_to_Run_The_PredictProtein_Machine_Image_with_VirtualBox: Download ...
Lafayette's user avatar
  • 113
1 vote
1 answer
146 views

Create galaxy local toolshed using Planemo

I tried to create galaxy local toolshed using planemo. I used command as follows, create virtual env virtualenv .venv; .venv/bin/activate Install planemo ...
Varuna Peiris's user avatar
2 votes
1 answer
1k views

Albacore wheel not supported on this platform (Mac OS X El Capitan)

I download the Albacore wheel from Oxford Nanopore. I activated my conda environment that has Python 3 as the default python version. I tried to install Albacore with ...
Biomagician's user avatar
  • 2,459
3 votes
1 answer
939 views

Does MinKNOW work with Mac OSX high sierra 10.13.1?

I have done a compatibility check as described here on my computer to know if I can use MinKNOW on my mac laptop. It says that my OS is incompatible and that the OSX must be Yosemite or El Capitan. ...
Biomagician's user avatar
  • 2,459
2 votes
1 answer
108 views

Problem installing RATT

I have followed the steps here to install RATT, i.e.: svn co "https://svn.code.sf.net/p/ratt/code/" ratt-code However, when I check my installation by running '$...
Biomagician's user avatar
  • 2,459
1 vote
3 answers
293 views

How to install blasr on Mac OS X?

I am trying to install blasr on mac osx. I followed the steps here I get the error below after using the 'make' command: ...
Biomagician's user avatar
  • 2,459
3 votes
2 answers
1k views

RcppArmadillo installation error

When I am trying to install the RcppArmadillo Bioconductor library in R, it is giving me the following error: ...
Nikita Vlasenko's user avatar
4 votes
1 answer
92 views

Cannot install chromosomer

I am trying to install chromosomer but I fail. Can anybody help me, please? ...
Biomagician's user avatar
  • 2,459
5 votes
1 answer
2k views

How to install DnaSP on a Mac

I need to install DnaSp, a nice GUI originally written for Windows for the population genetics of nucleotide sequence data. However, its not working on my mac. I'm using wine to install it using these ...
Mollie Passacantando's user avatar